Name: iptables
Summary: Tools for managing Linux kernel packet filtering capabilities.
Version: 1.2.11
Release: 0.3tr
Source: http://www.netfilter.org/files/%{name}-%{version}.tar.bz2
Source1: iptables.init
Source2: iptables6.init
Source3: iptables.sysconfig-ipv4
Source4: iptables.sysconfig-ipv6
Source5: iptables.sysconfig-modules-ipv4
Source6: iptables.sysconfig-modules-ipv6
Source7: iptables.sysconfig-sample
Source8: iptables.Trustix.README
Source9: headers-2.4.27-1tr.tar.gz
Patch1: iptables-recent.patch
Patch2: iptables-1.2.11-CAN-2004-0986.patch
Group: Trustix Official
URL: http://www.netfilter.org/
License: GPL
Conflicts: kernel <= 2.4.18
BuildRoot: /var/tmp/%{name}-root
BuildRequires: linux-headers, /sbin/mkkerneldoth

%description
The iptables utility controls the network packet filtering code in the
Linux kernel. If you need to set up firewalls and/or IP masquerading,
you must install this package.

%package ipv6
Summary: IPv6 support for iptables.
Group: Trustix Official
Requires: %{name} = %{version}

%description ipv6
The iptables package contains IPv6 (the next version of the IP
protocol) support for iptables. Iptables controls the Linux kernel
network packet filtering code, allowing you to set up firewalls and IP
masquerading. 

Install iptables-ipv6 if you need to set up firewalling for your
network and you are using ipv6.

%package devel
Summary: Iptables development libraries and header files
Group: Trustix Official

%description devel
This package contains the development libraries and header files needed
to develop on top of the iptables interface.

%prep
%setup -q -a 9
%patch1 -p1
%patch2 -p0

%build
OPT="$RPM_OPT_FLAGS"
case %{_arch} in
	i?86)
		ARCH=i386
		;;
	*)
		ARCH=%{_arch}
		;;
esac
pushd linux-headers
	ln -sf asm-$ARCH asm
popd
perl -pi -e 's/_EXP//' Makefile
# extensions don't load with stack_protector
export CC="gcc %{?no_stack_protector}"
make COPT_FLAGS="$OPT" LIBDIR=/%{_lib} DO_IPV6=1 KERNEL_DIR=`pwd`/linux-headers

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make install install-devel \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=/sbin LIBDIR=/%{_lib} \
	MANDIR=%{_mandir} \
	INCDIR=/usr/include DO_IPV6=1
	
# The sources
mkdir -p $RPM_BUILD_ROOT/%{_initdir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initdir}/iptables
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/%{_initdir}/iptables6
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv{4,6}.d
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv4
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv6
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/iptables-modules-ipv4
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/iptables-modules-ipv6
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv4.d/start
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv6.d/start
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv4.d/README
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv6.d/README

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%post
# We need to preserve this one
if [ -f /etc/sysconfig/iptables ]; then
  cp -f /etc/sysconfig/iptables /etc/sysconfig/iptables-ipv4.d/start
fi


%files
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/iptables-ipv4
%dir /etc/sysconfig/iptables-ipv4.d
%config(noreplace) /etc/sysconfig/iptables-ipv4.d/start
%config(noreplace) /etc/sysconfig/iptables-modules-ipv4
/etc/sysconfig/iptables-ipv4.d/README
%dir /%{_lib}/iptables
%{_mandir}/*/iptables*
/%{_initdir}/iptables
/%{_lib}/iptables/libipt*
/sbin/iptables*

%files ipv6
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/iptables-ipv6
%dir /etc/sysconfig/iptables-ipv6.d
%config(noreplace) /etc/sysconfig/iptables-ipv6.d/start
%config(noreplace) /etc/sysconfig/iptables-modules-ipv6
/etc/sysconfig/iptables-ipv6.d/README
%{_mandir}/*/ip6tables*
/%{_initdir}/iptables6
/%{_lib}/iptables/libip6t*
/sbin/ip6tables*

%files devel
%defattr(-,root,root)
%{_mandir}/man3/*
/usr/include/*.h
/%{_lib}/*.a


%changelog
* Wed Sep 15 2004 Erlend Midttun <erlendbm at trustix dot org> 1.2.11-2tr
- Added iptables-recent.patch

* Tue Sep 14 2004 Erlend Midttun <erlendbm at trustix dot org> 1.2.11-1tr
- New upstream.
- New /etc/sysconfig/iptables-ipv4.d
- New /etc/sysconfig/iptables-ipv6.d

* Fri Mar 19 2004 Chr. Toldnes <christht at trustix dot org> 1.2.9-4tr
- Retag and rebuild

* Mon Mar  8 2004 Gerald Dachs <gda at trustix dot org> 1.2.9-3gd
- extensions don't load with stack_protector

* Wed Feb 25 2004 Erlend Midttun <erlendbm at trustix dot org> 1.2.9-2tr
- Testing new init scripts from Olaf Rempel.

* Fri Dec  5 2003 Erlend Midttun <erlendbm at trustix dot org> 1.2.9-1tr
- New upstream.

* Tue Nov 11 2003 Oddvar Bronstad <oddvarb at trustix dot org> 1.2.8-7tr
- Removed chkconfig again (moved to separate package)
- Changed initscripts to use modprobe instead of insmod for better 
  handling of intra-module dependencies in required modules
 
* Wed Jul 02 2003 Oddvar Bronstad <oddvarb at trustix dot com> 1.2.8.6-trob
- Added chkconfig on for firewall install

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.8-5tr
- Big rebuild

* Mon Jun 16 2003 Chr. Toldnes <christht at trustix dot com> 1.2.8-4ct
- Even better initscript...

* Fri Jun 13 2003 Roland Kruse <rolandk at trustix dot com> 1.2.8-3rk
- fixed devel package group typo. 

* Fri Jun 13 2003 Chr. Toldnes <christht at trustix dot com> 1.2.8-2ct
- fix typo and thinko in initscript

* Mon Jun  2 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.8-1em
- New upstream.
- Added devel package.
- Fixed %defattr.
- Removed man dirs from file list.
- Added startup scripts.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.7a-3em
- Rebuilt against glibc 2.3.2.

* Tue Mar  4 2003 Gerald Dachs <gda at trustix dot org> 1.2.7a-2gd
- recompiled against patched kernel 2.4.20-13gd

* Thu Aug 29 2002 Roland Kruse <rolandk at trustix dot com> 1.2.7a-1rk
- New upstream version.

* Mon Jun 24 2002 Roland Kruse <rolandk at trustix dot com> 1.2.6a-1rk
- Initial TSL package.
